#include <avr/io.h>
#include <avr/signal.h>
#include "keyboard.h"

#define EVER (;;)
/*----------------Externe Interrupts ----------------*/

SIGNAL(SIG_INTERRUPT4)
{
	kbInt();
}

int main(void)
{
	unsigned char  c;
/* init */
	kbInit();
	
	sbi(DDRD,0);
	sbi(DDRD,1);
	sbi(DDRD,2);
	sbi(DDRD,3);
	sbi(DDRD,4);
	
	for EVER
	{
	  if(kbKey(K_F1)) sbi(PORTD,0);
	  else cbi(PORTD,0);
	  if(kbKey(K_F2)) sbi(PORTD,1);
	  
	  if(kbKey(K_F3)) cbi(PORTD,1);
	  
	  
	  while(kbKeyPressed())
	  {
	  	// buffer auslesen
	  	c=kbReadKey();
	  	switch(c)
	  	{
	  	case 'a': sbi(PORTD,2); break;
	  	case ']': cbi(PORTD,2); break;
	  	}
	  }
	}

}